Bug 99 - Graphical corruption with gnome-shell
: Graphical corruption with gnome-shell
Status: CLOSED WONTFIX
Product: AMD Catalyst™Proprietary Display Driver
Classification: Unclassified
Component: OpenGL Driver
: .archived
: All Linux
: low major
Assigned To: nobody
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-08 21:06 CDT by Nelson Marques
Modified: 2012-08-16 08:10 CDT (History)
69 users (show)



Attachments
Output of atisysteminfo-report.txt (217.48 KB, text/plain)
2011-04-08 21:06 CDT, Nelson Marques
Details
Xorg.0.log from GNOME3/gnome-shell (34.32 KB, text/x-log)
2011-04-08 21:08 CDT, Nelson Marques
Details
top bar gone, icons gone (shown as background) (943.91 KB, image/jpeg)
2011-06-14 21:52 CDT, Brent R Brian
Details
Desktop Screenshot (242.84 KB, image/jpeg)
2011-11-15 23:47 CST, Crypto_Ahash
Details
ATiSystemInfo.txt (395.36 KB, application/octet-stream)
2011-11-16 02:28 CST, Crypto_Ahash
Details
AtiSystemInfo-Laptop (294.16 KB, text/plain)
2011-11-16 03:00 CST, Crypto_Ahash
Details
screenshot of broken gnome-shell (451.87 KB, image/jpeg)
2011-11-16 07:49 CST, Ahmet Yasin Uslu
Details
screenshot of which should be seen (263.56 KB, image/jpeg)
2011-11-16 07:50 CST, Ahmet Yasin Uslu
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nelson Marques 2011-04-08 21:06:54 CDT
Created attachment 89 [details]
Output of atisysteminfo-report.txt

Description of problem: Activities bar is corrupted on gnome-shell // openSUSE 11.4 platform (i686) with fglrx 11.3.

Steps to reproduce:
1. Install GNOME3 Live CD (1.0.0) based on openSUSE i686 available from www.gnome3.org
2. Install fglrx driver
3. Login into GNOME3/gnome-shell

Actual result: Activities bar is corrupted

Expected result: Activities bar should display normally.
Comment 1 Nelson Marques 2011-04-08 21:08:27 CDT
Created attachment 90 [details]
Xorg.0.log from GNOME3/gnome-shell

This is the Xorg.0.log file from Xorg with GNOME3/gnome-shell.
Comment 2 Nicholas Hadaway 2011-04-21 19:00:10 CDT
I can confirm this issue as well.

fglrx 8.84.60 [Mar 24 2011] with 1 minors

Asus N61D Laptop

01:00.0 VGA compatible controller: ATI Technologies Inc Madison [Mobility Radeon HD 5000 Series]

Using the open source driver, I don't have the problem.  Using the Catalyst driver causes the activities bar corruption in gnome-shell.
Comment 3 Cedric Heintz 2011-04-23 08:17:01 CDT
I also have this issue.
No problem with the open source RadeonHD driver.
Comment 4 Nelson Marques 2011-04-27 17:08:57 CDT
The latest release of Catalyst, 11.4, doesn't fix this issues with GNOME3 and gnome-shell. I've noticed that some 3rd party themes do not have this issue with the top bar being corrupted, but they still display corruption on icons and when one application that uses the notification bar is launched, the whole screen gets corrupted randomly.

Please lets have a fix :/
Comment 5 Diego 2011-04-28 09:37:06 CDT
Same here with Natty / Catalyst 11.4

Please fix it!.
Comment 6 Justin 2011-04-30 16:59:57 CDT
Same problems running Gnome3 with 11.4.
Comment 7 Brandon Watkins 2011-05-07 17:14:26 CDT
Confirm here running arch linux, cat 11.4. OSS driver works fine.

This is ridiculous!
Comment 8 Brandon Watkins 2011-05-09 13:48:34 CDT
Also confirmed with cat 11.5 that was released today.
Comment 9 Julien Olivier 2011-05-11 02:17:11 CDT
Well, I don't know what you mean by "corrupted", but in my case (Radeon Mobility HD 4200) it's way worse using gnome-shell: the colors are wrong, the screen becomes totally unreadable from time to time, and - even worse - it just crashes after a while...
Comment 10 Age Bosma (IRC: Forage) 2011-05-12 08:43:45 CDT
Confirming this issue, though it is not related to just the Radeon HD 4000 series.

I've got the same problem with the following:
- Radeon HD6950
- Catalyst 11.5
- Ubuntu 11.04 (Natty)
Comment 11 Damien Radtke 2011-05-25 20:51:20 CDT
Same problem here. The severity of this problem changes if you install a new GNOME Shell theme, which might help narrow down the problem. For example, installing the Elementary theme (http://half-left.deviantart.com/art/GNOME-Shell-Elementary-193232931) has no corruption on the activity bar, but the icons and tooltips are corrupted.

-openSUSE 11.4 (64-bit)
-Radeon HD 6850
-Catalyst 11.5
Comment 12 Nelson Marques 2011-05-25 21:32:56 CDT
(In reply to comment #11)
> Same problem here. The severity of this problem changes if you install a new
> GNOME Shell theme, which might help narrow down the problem. For example,
> installing the Elementary theme
> (http://half-left.deviantart.com/art/GNOME-Shell-Elementary-193232931) has no
> corruption on the activity bar, but the icons and tooltips are corrupted.

And despite of theme, it still gives the ocasional screen tearing, for example when you select anything on the bottom tray (moving cursor to lower right corner), which clearly points this isn't a theme issue.
Comment 13 Michael Cronenworth 2011-05-25 23:15:46 CDT
*** Bug 115 has been marked as a duplicate of this bug. ***
Comment 14 Michael Cronenworth 2011-05-25 23:17:15 CDT
*** Bug 139 has been marked as a duplicate of this bug. ***
Comment 15 Ricky 2011-05-26 15:59:56 CDT
Same issue on Fedora 15, GNOME 3, Radeon HD 5670, X.Org Server 1.10.1

[rprego@rpregodesktop ~]$ Xorg -version
X.Org X Server 1.10.1
Release Date: 2011-04-15
X Protocol Version 11, Revision 0
Build Operating System: x86-04 2.6.32-71.14.1.el6.x86_64 
Current Operating System: Linux rpregodesktop 2.6.38.6-27.fc15.x86_64 #1 SMP Sun May 15 17:23:28 UTC 2011 x86_64
Kernel command line: ro root=UUID=6d039244-828a-4b4d-b9a3-610c3dab07e4 rd_NO_LUKS rd_NO_LVM rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=us rhgb quiet radeon.modeset=0
Build Date: 28 April 2011  03:50:45AM
Build ID: xorg-x11-server 1.10.1-14.fc15 
Current version of pixman: 0.20.2
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
Comment 16 Alexander Shulikov 2011-06-07 03:32:47 CDT
Confirm with:
- Radeon HD5450
- Catalyst 11.5
- Ubuntu 11.04 amd64 (Natty)
Comment 17 smily03 2011-06-07 08:23:49 CDT
Confirm with:
Lenovo ThinkPad T500:
- openSuSE 11.4 plus Gnome3
- Mobility Radeon HD 3650
- Catalyst 11.5
Comment 18 Alexander Shulikov 2011-06-07 09:32:23 CDT
Is AMD read this bug track?
Comment 19 tron 2011-06-07 11:12:40 CDT
hd 5670 graphics driver after reboot zorin core 5 crashes the same in ubuntu 11.0.4 am now using motherboard chip driver.
Comment 20 john.bridgman 2011-06-07 11:16:05 CDT
>>Is AMD read this bug track?

Yes, but we generally don't respond unless someone is looking at the bug and needs additional info to reproduce it.
Comment 21 Nelson Marques 2011-06-07 11:36:27 CDT
(In reply to comment #20)
> >>Is AMD read this bug track?
> 
> Yes, but we generally don't respond unless someone is looking at the bug and
> needs additional info to reproduce it.

Hi John,

Please squash this one cause it's really a pain... If you require additional information in testing or about GNOME, please let me know.

NM
Comment 22 sarbyn 2011-06-07 13:47:15 CDT
Confirmed with fedora 15, ati radeon hd 34xx.

No issue with gnome 3 and compiz
Issues with gnome 3 and gnome shell :(
Comment 23 Ali 2011-06-07 16:09:01 CDT
Confirm with:
ASUS n60:
- openSuSE 11.4 plus Gnome3
- ATI Mobility Radeon HD 4670
- Catalyst 11.5
Comment 24 Ali 2011-06-07 16:10:49 CDT
(In reply to comment #18)
> Is AMD read this bug track?

If ati wouldn't fix this bug in next catalyst release, it will be my last ati card.
Comment 25 Brent R Brian 2011-06-14 21:44:17 CDT
Confirm with Radeon HD 6800 Fedora 15, Gnome3 shell.
Comment 26 Brent R Brian 2011-06-14 21:52:34 CDT
Created attachment 150 [details]
top bar gone, icons gone (shown as background)

The top bar also appears as oddly colored, rainbow ...
Comment 27 MuF 2011-06-16 18:40:11 CDT
catalyst 11.6 Fedora 15 Gnome Shell Ati HD 4xxx serie same problem. Is it realy so big problem fix it ? Call to Nvidia and ask there what is wrong if you don't know where is problem. This bug is here 2 months allready :-(( Realy perfect support :-((
Comment 28 Nelson Marques 2011-06-16 19:52:08 CDT
Fixed for me... bought a new laptop with a non-ATI card... :)
Comment 29 Diego 2011-06-17 06:48:58 CDT
Almost 3 months after Gnome 3 was released, many people enjoying it, i can't even try it cause i own an Ati card. This is probably the most serious bug you have now and are you doing anything to fix it?? I don't even know how do you even release another version without having fix that.

Anyway, buying new laptop with Nvidia graphics next week so its over for me. Good luck for the rest of you.
Comment 30 MuF 2011-06-17 18:43:17 CDT
If you want support just Ubuntu and commercial distributions like Suse and Rhel, pls post it VISIBLE on your web site, no just in Release Notes. You can save your custummers a lot of problems :-((
Comment 31 Reuben Morais 2011-06-17 18:57:34 CDT
I've installed Fedora 15, and the radeon drivers are doing fine so far.
Comment 32 Brent R Brian 2011-06-17 19:54:42 CDT
Top bar "rainbow colors"

Fedora 15 x86_64
Radeon HD 3450
Catalyst 11.6
Comment 33 Jan 2011-06-19 03:54:43 CDT
Confirming:
lspci | grep -i vga
VGA compatible controller: ATI Technologies Inc Juniper [Radeon HD 5750 Series]

yum list installed | grep -i catalyst
akmod-catalyst.x86_64
kmod-catalyst-2.6.38.8-32.fc15.x86_64.x86_64
xorg-x11-drv-catalyst.x86_64
xorg-x11-drv-catalyst-libs.x86_64

yum info akmod-catalyst.x86_64
Loaded plugins: langpacks, presto, refresh-packagekit
Installed Packages
Name        : akmod-catalyst
Arch        : x86_64
Version     : 11.4
Release     : 1.fc15.1
Size        : 1.5 M
Repo        : installed
From repo   : rpmfusion-nonfree
Summary     : Akmod package for catalyst kernel module(s)
URL         : http://ati.amd.com/support/drivers/linux/linux-radeon.html
License     : Redistributable, no modification permitted
Description : This package provides the akmod package for the catalyst kernel modules.

uname -a
Linux thorin 2.6.38.8-32.fc15.x86_64 #1 SMP Mon Jun 13 19:49:05 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux
Comment 34 sarbyn 2011-06-19 06:30:27 CDT
http://www.groubal.com/amd-support-for-radeon-driver-under-linux/

Online petition. With other company (like htc and android bootloader) that methods works.

Sign and spread it!
Comment 35 Robert Spencer 2011-06-20 03:02:27 CDT
Top bar "rainbow colors"

Confirm with:

+ Gnome3 Shell
+ DELL R15 - 5010

+	r00t $ Xorg -version

	X.Org X Server 1.10.2
	Release Date: 2011-05-28
	X Protocol Version 11, Revision 0
	Build Operating System: x86-17 2.6.32-71.14.1.el6.x86_64 
	Current Operating System: Linux r00t 2.6.38.8-32.fc15.i686.PAE #1 SMP Mon Jun 13 19:55:27 UTC 2011 i686
	Kernel command line: ro root=UUID=44c48939-9cee-4784-bfe1-a43ab834d922 rd_NO_LUKS rd_NO_LVM rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=us rhgb quiet
	Build Date: 30 May 2011  12:42:31AM
	Build ID: xorg-x11-server 1.10.2-1.fc15 
	Current version of pixman: 0.20.2
		Before reporting problems, check http://wiki.x.org
		to make sure that you have the latest version.

+ r00t $ cat /etc/*release
	Fedora release 15 (Lovelock)

+ Kernel: Linux r00t 2.6.38.8-32.fc15.i686.PAE #1 SMP Mon Jun 13 19:55:27 UTC 2011 i686 i686 i386 GNU/Linux

+ r00t $ lspci | grep -i radeon
01:00.0 VGA compatible controller: ATI Technologies Inc Manhattan [Mobility Radeon HD 5000 Series]

+ Catalyst 11.6 (lasted version)
Comment 36 Robert Spencer 2011-06-20 06:03:53 CDT
Top bar "rainbow colors"

Confirm with:

+ Gnome3 Shell
+ DELL R15 - 5010

+	r00t $ Xorg -version

	X.Org X Server 1.10.2
	Release Date: 2011-05-28
	X Protocol Version 11, Revision 0
	Build Operating System: x86-17 2.6.32-71.14.1.el6.x86_64 
	Current Operating System: Linux r00t 2.6.38.8-32.fc15.i686.PAE #1 SMP Mon Jun 13 19:55:27 UTC 2011 i686
	Kernel command line: ro root=UUID=44c48939-9cee-4784-bfe1-a43ab834d922 rd_NO_LUKS rd_NO_LVM rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=us rhgb quiet
	Build Date: 30 May 2011  12:42:31AM
	Build ID: xorg-x11-server 1.10.2-1.fc15 
	Current version of pixman: 0.20.2
		Before reporting problems, check http://wiki.x.org
		to make sure that you have the latest version.

+ r00t $ cat /etc/*release
	Fedora release 15 (Lovelock)

+ Kernel: Linux r00t 2.6.38.8-32.fc15.i686.PAE #1 SMP Mon Jun 13 19:55:27 UTC 2011 i686 i686 i386 GNU/Linux

+ r00t $ lspci | grep -i radeon
01:00.0 VGA compatible controller: ATI Technologies Inc Manhattan [Mobility Radeon HD 5000 Series]

+ Catalyst 11.6 (lasted version)
Comment 37 Isaac 2011-06-20 18:25:48 CDT
Confirm with:

01:00.0 VGA compatible controller: ATI Technologies Inc Redwood [Radeon HD 5600 Series]

fglrx-amdcccle 2:8.861-0u
fglrx-kernel-source 2:8.861-0u
libamdxvba1 2:8.861-0u
xorg-driver-fglrx 2:8.861-0u

Linux vaio 2.6.38-2-amd64 #1 SMP Sun May 8 13:51:57 UTC 2011 x86_64 GNU/Linux

X.Org X Server 1.10.2
Release Date: 2011-05-28
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.39-1-amd64 x86_64 Debian
Current Operating System: Linux vaio 2.6.38-2-amd64 #1 SMP Sun May 8 13:51:57 UTC 2011 x86_64
Kernel command line: BOOT_IMAGE=/boot/vmlinuz-2.6.38-2-amd64 root=UUID=ff56b886-9814-4aab-bb20-5a34d27331ac ro i8042.nopnp quiet
Build Date: 18 June 2011  10:12:52AM
xorg-server 2:1.10.2-1+wheezy1 (Cyril Brulebois <kibi@debian.org>) 
Current version of pixman: 0.21.8
Comment 38 egerber 2011-07-03 17:10:49 CDT
Same problem here: The top-bar has strange colors, switching between applications will result in flickering. Sometimes more of the screen (from top to the middle) gets corrupted (sort of a checkerboard). This is on a Thinkpad T400 with a 

ATI Technologies Inc Mobility Radeon HD 3400 Series

and fglrx 

Version: 2:8.840-0ubuntu4
Comment 39 egerber 2011-07-03 17:13:15 CDT
(In reply to comment #38)
> Same problem here: The top-bar has strange colors, switching between
> applications will result in flickering. Sometimes more of the screen (from top
> to the middle) gets corrupted (sort of a checkerboard). This is on a Thinkpad
> T400 with a 
> 
> ATI Technologies Inc Mobility Radeon HD 3400 Series
> 
> and fglrx 
> 
> Version: 2:8.840-0ubuntu4

forgot to mention that with the radeon-driver things work, but the temperature will raise up to 80°C + (according to /proc/acpi/ibm/thermal) and the system will shutdown, while with the (buggy) fglrx it stays around 60°C.
Comment 40 smily03 2011-07-05 08:20:16 CDT
A big reason I can't use the generic Radeon driver is my screen resolution - Lenovo T500 at 1680x1050 with an HP L2208w display also at 1680x1050 - the Radeon driver can't span across the two like the fglrx one can.  So I'm either stuck with a single display (plus overheating) or usable dual displays with screen tearing and weird artifacts.
Comment 41 V.Naydenov 2011-07-07 05:00:46 CDT
Solution found, my new nvidia laptop is arriving in 10 days :)
Comment 42 Luke Filador 2011-07-18 04:57:13 CDT
It's been three months that this bug exists, nothing has been fixed except for the Windows games. Keep it up and I'll buy a Nvidia card! Fix bugs on GNOME 3, hurry!
Comment 43 Damien Radtke 2011-07-28 15:20:35 CDT
11.7 was released, looks like the problem persists: http://phoronix.com/forums/showthread.php?57882-Catalyst-11.7-is-up
Comment 44 MuF 2011-07-29 09:23:38 CDT
Can somebody from AMD/ATI guys tell us if catalyst developers are doing something with this bug? Or if is it no way situation :-))
Comment 45 smily03 2011-07-29 10:30:08 CDT
If they're not going to fix it in a reasonable time, please let us know so that I can rebuild my laptop without Gnome3.  I've been living with these issues for several months now in the hopes that the issue would be resolved...
Comment 46 amigo_zhen 2011-08-03 00:11:12 CDT
Thank you guys, we are working on this issue.
Comment 47 Ahmet Yasin Uslu 2011-08-03 17:54:06 CDT
I have the same issue (and millions of other issues). If at least this issue doesnt solve, this will be my last ATI card.
Comment 48 MuF 2011-08-08 14:09:12 CDT
(In reply to comment #46)
> Thank you guys, we are working on this issue.

Good news amigo, good luck :-))
Comment 49 Luke Filador 2011-08-09 06:34:02 CDT
(In reply to comment #46)
> Thank you guys, we are working on this issue.


this problem will be fixed on the next version of Catalyst (11.8) ?
Comment 50 Stefan Neubert 2011-08-09 16:07:41 CDT
Confirm magic colors in taskbar with Radeon HD 6310 (E-350)
OpenSuse 11.4, Gnome3 shell, Catalyst 11,7.
Comment 51 pierre.boudier@amd.com 2011-08-10 05:15:20 CDT
there is a latency to release drivers; 11.8 was finished sometime ago already, so this has little chance of being fixed there.
Comment 52 egerber 2011-08-14 12:55:32 CDT
If you only have the problem that your card is getting too hot when using the open-source radeon-driver, you can try if this here helps reducing the heat produced by the card:

echo "mid" > /sys/class/drm/card0/device/power_profile

And then check using

cat /sys/kernel/debug/dri/0/radeon_pm_info

if the card has really slowed down its cpu and memory-speed.
This solved the issue for me, I can live very well with the radeon-driver now.
Comment 53 MuF 2011-08-15 14:55:52 CDT
(In reply to comment #51)
> there is a latency to release drivers; 11.8 was finished sometime ago already,
> so this has little chance of being fixed there.

Half of the year latency to fix some bug? Lol :-D I want work for ATI :-D
Comment 54 Ahmet Yasin Uslu 2011-08-15 15:15:18 CDT
(In reply to comment #51)
> there is a latency to release drivers; 11.8 was finished sometime ago already,
> so this has little chance of being fixed there.

"little chance"? Don't you have any testers for gnome ?
Comment 55 Crypto_Ahash 2011-08-20 01:53:16 CDT
Same Gnome 3 fglrx problem here with drivers 11.8
01:00.0 VGA compatible controller: ATI Technologies Inc Barts PRO [ATI Radeon HD 6800 Series]

Please fix this ATi!? How can you guys take all this time to fix a CRITICAL issue like this??
Ridiculous.... 

I really recommend you guys start working on this bug and drop all other stuff. Send out a hot fix or something we can not work with a broken Gnome 3 (gnome-shell) Desktop!!
Comment 56 Malar Kannan 2011-08-20 06:45:15 CDT
why isn't this problem still not addressed... 5 minor versions have been released without any improvement on this issue :( .. what a shame :X .

it feels like if i had made a mistake by choosing ati :( . u guys should improve support for linux :|
Comment 57 MuF 2011-08-20 11:22:38 CDT
(In reply to comment #51)
> there is a latency to release drivers; 11.8 was finished sometime ago already,
> so this has little chance of being fixed there.


And what 11.9 do you thing that it has bigger chance ? :-))I thing that september is good month to fix gnome bugs :-D Chrismas is comming and you will sure get a loooot of presents when you fix it :-))
Comment 58 Ahmet Yasin Uslu 2011-08-21 14:29:44 CDT
11.8 released, still no improvement. I will never buy ati again, you lost at least one customer.
Comment 59 amigo_zhen 2011-08-21 22:31:00 CDT
We've fixed this bug, and will release it later.
Comment 60 Crypto_Ahash 2011-08-22 01:08:22 CDT
(In reply to comment #59)
> We've fixed this bug, and will release it later.

That would be awesome! As I am pulling my hairs out of stress with my current dev system with ATi and Gnome 3. I really need a working Desktop for work.
Comment 61 Crypto_Ahash 2011-08-22 01:33:35 CDT
btw, there is a description typo in:

The drivers above support English only.
The display driver requires POSIX shared memory to be enabled on the system.
Kernal Sources package is no longer required if Kernel Header package is installed.
32-Bit packages must be installed for 64-Bit Linux drivers to install or work.

KernAl?
Comment 62 Malar Kannan 2011-08-22 01:50:04 CDT
i wonder if this issue is related to http://ati.cchtml.com/show_bug.cgi?id=80
Comment 63 sarbyn 2011-08-22 07:22:15 CDT
(In reply to comment #59)
> We've fixed this bug, and will release it later.

Perfect.
This bug was reported in april, and now...late august, you say that will release the fix "later". When? Booohh...later.

Only 4 months late, probably. Or 5....six...doesn't matter to ATI

Really...GREAT WORK!

These will be my last money given to ATI
Comment 64 Crypto_Ahash 2011-08-22 10:26:02 CDT
(In reply to comment #59)
> We've fixed this bug, and will release it later.

Its later. When later? Later can be in a few hours, days, months, years..
Comment 65 pierre.boudier@amd.com 2011-08-22 10:38:28 CDT
hi all,

I would like to clarify a little bit this discussion:
- this bugzilla is not owned by AMD, and while we try to monitor it (along other sources), it is not possible for AMD to immediately detect and jump into reports
- we actually noticed this when I wrote my first post (2011-08-10), and the fix was made internally on the 8/12
- the catalyst release cycle will branch our internal dev tree within 4 weeks, and will go into 4 weeks of QA before we make the driver public.
- since engineering is not focused with release management, we usually can't commit to exact release data since that sometimes change (sometimes fixes are introduced earlier, sometimes deferred)
- finally, the crux of the issue here is that gnome developers should have actually contacted AMD about this issue before releasing something which only works on nvidia.

we do appreciate constructive feedback and are committed to fix issues; linux is an important Os for AMD.
 
regards,

Pierre B.
Comment 66 M8R-ewfp8c 2011-08-24 11:29:20 CDT
(In reply to comment #65)
> hi all,
> 
> I would like to clarify a little bit this discussion:
> - this bugzilla is not owned by AMD, and while we try to monitor it (along
> other sources), it is not possible for AMD to immediately detect and jump into
> reports

I suggest you actually open an official bugzilla owned by AMD.

> - we actually noticed this when I wrote my first post (2011-08-10), and the fix
> was made internally on the 8/12
> - the catalyst release cycle will branch our internal dev tree within 4 weeks,
> and will go into 4 weeks of QA before we make the driver public.
> - since engineering is not focused with release management, we usually can't
> commit to exact release data since that sometimes change (sometimes fixes are
> introduced earlier, sometimes deferred)
> - finally, the crux of the issue here is that gnome developers should have
> actually contacted AMD about this issue before releasing something which only
> works on nvidia.

That is a bit of a stretch. It works perfectly fine on my X1950
with the open source drivers. It works fine on my old laptop with
Intel graphics. It just doesn't work with my brand spanking new
HD6790 with the catalyst driver.

> we do appreciate constructive feedback and are committed to fix issues; linux
> is an important Os for AMD.

Then here is some constructive feedback. Try out new distros in
the alpha and beta testing stage at AMD. That should give you a
heads up on features that are coming up.

Hopefully this uglyness will be fixed in 2 months then so I won't
have to se the Catalyst Rainbow.
Comment 67 guneeyoufix 2011-08-24 12:24:51 CDT
(In reply to comment #65)
> hi all,

Hello Pierre,

> - finally, the crux of the issue here is that gnome developers should have
> actually contacted AMD about this issue before releasing something which only
> works on nvidia.

This was actually my first move after I discovered the bug (at this address). No one from AMD contacted me afterwards. In addition, there is no way to track the progress of the bug report once submitted.

The same thing happenned for the other 2 reports I filed on the official bug report tool. This is why I finally decided to switch to the unofficial tool, hoping that I would have more success.

Something should definitely be done to improve this.

Will
Comment 68 pierre.boudier@amd.com 2011-08-24 12:31:07 CDT
(In reply to comment #67)
> This was actually my first move after I discovered the bug (at this address).
> No one from AMD contacted me afterwards. In addition, there is no way to track
> the progress of the bug report once submitted.
> 
> The same thing happenned for the other 2 reports I filed on the official bug
> report tool. This is why I finally decided to switch to the unofficial tool,
> hoping that I would have more success.
> 
> Something should definitely be done to improve this.
> 
> Will

hi will,
how did you contact AMD; I will try to follow up with that group to see what broke down.


regards,

Pierre B.

PS: about comment #66, I understand that you want AMD to test every alpha/beta of every linux distribution with every window system, along with every major apps. in practice, we have to be more pragmatic with our resource :), although I agree that it is not great to miss that specific issue.
Comment 69 guneeyoufix 2011-08-24 13:12:34 CDT
(In reply to comment #68)
> hi will,
> how did you contact AMD; I will try to follow up with that group to see what
> broke down.

I used the nice forms available at the following address: http://www.amd.com/us/LinuxCrewSurvey (forgot to paste it earlier...)

Cheers
Comment 70 pierre.boudier@amd.com 2011-08-24 15:59:02 CDT
it seems that this link should not be active; we will follow up with our IT to get it removed ! sorry about the confusion...

Pierre B.
Comment 71 Julien Olivier 2011-08-24 16:43:40 CDT
> PS: about comment #66, I understand that you want AMD to test every alpha/beta
> of every linux distribution with every window system, along with every major
> apps. in practice, we have to be more pragmatic with our resource :), although
> I agree that it is not great to miss that specific issue.

Well, you could start by testing alpha/beta Ubuntu releases with KDE, GNOME and Unity. That should cover 90% of the issues, shouldn't it?
Comment 72 Age Bosma (IRC: Forage) 2011-08-24 17:19:14 CDT
(In reply to comment #70)
> it seems that this link should not be active; we will follow up with our IT to
> get it removed ! sorry about the confusion...
> 
> Pierre B.

Should not be active? That explains a lot why nothing ever comes from it. It has been on the Linux driver download page [1] for ages and I've been using it for different issues as well. Please check the queue first before removing it all. You might be surprised how much feedback you got from a lot of people.

Also, what will there be left to report to in the future if that page goes down? Especially major system hangs since the last two Catalyst releases, as reported on that page and at bug #232 in this tracker.

Don't get me wrong, I'm not trying to be sarcastic or sound annoyed. I understand the release cycle delays and the fact that not everything can be solved at once. It does, however, sound like there's nothing left to use to bring something to your attention, big or small. The tracker here can not be relied upon since AMD isn't actively monitoring it. This all does not match with you saying you do value feedback.

[1] http://support.amd.com/us/gpudownload/linux/Pages/radeon_linux.aspx?type=2.4.1&product=2.4.1.3.42&lang=English
Comment 73 pierre.boudier@amd.com 2011-08-25 11:43:00 CDT
I believe that the official way is to use this link:
http://support.amd.com/us/gpudownload/linux/Pages/radeon_linux.aspx?type=2.4.1&product=2.4.1.3.42&lang=English

if you are a developer, we have special ISV teams which typically have dedicated engineers.

Pierre B.
Comment 74 pierre.boudier@amd.com 2011-08-25 11:53:05 CDT
there was a typo in my prior email; the official web page for support should be that one:
http://support.amd.com/us/contacts/Pages/ProcessorTechnicalSupport.aspx

Pierre B.
Comment 75 christian667 2011-08-27 23:47:07 CDT
(In reply to comment #74)
> there was a typo in my prior email; the official web page for support should be
> that one:
> http://support.amd.com/us/contacts/Pages/ProcessorTechnicalSupport.aspx
> 
> Pierre B.

Sorry Pierre,
if I misunderstand you, but regarding to your post and the release date of catalyst 11.8 → 08/17 the next update containing the long needed fix comes round 10/17.
Concerning to this release schedule:
http://support.amd.com/us/gpudownload/linux/previous/Pages/radeon_linux.aspx
there is nearly every month a new catalyst.
Please tell me how this can work if only every two month a new catalyst is ready to get public?

regards
Comment 76 Crypto_Ahash 2011-08-28 12:20:59 CDT
Well after removing Compiz from my system I can confirm Gnome 3 and ATi are working correctly now.
Comment 77 Ahmet Yasin Uslu 2011-08-28 16:20:28 CDT
Are you sure you're using catalyst drivers(proprietary one) and which version ?

(In reply to comment #76)
> Well after removing Compiz from my system I can confirm Gnome 3 and ATi are
> working correctly now.
Comment 78 Crypto_Ahash 2011-08-29 02:21:53 CDT
(In reply to comment #77)
> Are you sure you're using catalyst drivers(proprietary one) and which version ?
> 
> (In reply to comment #76)
> > Well after removing Compiz from my system I can confirm Gnome 3 and ATi are
> > working correctly now.


11.8 fglrx (prop drivers). Although all my distortions and weird colors are gone. I spoke to soon to say it is working "correctly". Pull down menu's are still very bugged. :(
Comment 79 Ahmet Yasin Uslu 2011-08-29 04:48:21 CDT
(In reply to comment #78)
> (In reply to comment #77)
> > Are you sure you're using catalyst drivers(proprietary one) and which version ?
> > 
> > (In reply to comment #76)
> > > Well after removing Compiz from my system I can confirm Gnome 3 and ATi are
> > > working correctly now.
> 
> 
> 11.8 fglrx (prop drivers). Although all my distortions and weird colors are
> gone. I spoke to soon to say it is working "correctly". Pull down menu's are
> still very bugged. :(

Then i'm going to install gnome 3 :D
Comment 80 pierre.boudier@amd.com 2011-08-29 05:07:42 CDT
there is so(In reply to comment #75)
> Sorry Pierre,
> if I misunderstand you, but regarding to your post and the release date of
> catalyst 11.8 → 08/17 the next update containing the long needed fix comes
> round 10/17.
> Concerning to this release schedule:
> http://support.amd.com/us/gpudownload/linux/previous/Pages/radeon_linux.aspx
> there is nearly every month a new catalyst.
> Please tell me how this can work if only every two month a new catalyst is
> ready to get public?

the pipeline is not: we develop, branch, test, fix, release, all happening sequentially.

there is overlap for several catalyst releases:
- when we make a public release 11.8
- the next one 11.9 is already being tested (for generic Q&A)
- and the one after 11.10 which is being branched (for component testing/integration)

there are lots of engineers working on a graphics driver, with lots of component.

regards,

Pierre B.
Comment 81 christian667 2011-08-29 09:52:47 CDT
Ok, may you get an unofficial catalyst version with the needed fix
inside for us? This way we could test it and perhaps find errors remaining.
Thank you four your engagement!
regard

(In reply to comment #80)
> there is so(In reply to comment #75)
> > Sorry Pierre,
> > if I misunderstand you, but regarding to your post and the release date of
> > catalyst 11.8 → 08/17 the next update containing the long needed fix comes
> > round 10/17.
> > Concerning to this release schedule:
> > http://support.amd.com/us/gpudownload/linux/previous/Pages/radeon_linux.aspx
> > there is nearly every month a new catalyst.
> > Please tell me how this can work if only every two month a new catalyst is
> > ready to get public?
> 
> the pipeline is not: we develop, branch, test, fix, release, all happening
> sequentially.
> 
> there is overlap for several catalyst releases:
> - when we make a public release 11.8
> - the next one 11.9 is already being tested (for generic Q&A)
> - and the one after 11.10 which is being branched (for component
> testing/integration)
> 
> there are lots of engineers working on a graphics driver, with lots of
> component.
> 
> regards,
> 
> Pierre B.
Comment 82 Crypto_Ahash 2011-08-29 10:00:28 CDT
Sounds like a plan :) 
I am in for some beta testing! 

By the way, is there any official way we can sign up for beta testing? Or even help development?


(In reply to comment #81)
> Ok, may you get an unofficial catalyst version with the needed fix
> inside for us? This way we could test it and perhaps find errors remaining.
> Thank you four your engagement!
> regard
> 
> (In reply to comment #80)
> > there is so(In reply to comment #75)
> > > Sorry Pierre,
> > > if I misunderstand you, but regarding to your post and the release date of
> > > catalyst 11.8 → 08/17 the next update containing the long needed fix comes
> > > round 10/17.
> > > Concerning to this release schedule:
> > > http://support.amd.com/us/gpudownload/linux/previous/Pages/radeon_linux.aspx
> > > there is nearly every month a new catalyst.
> > > Please tell me how this can work if only every two month a new catalyst is
> > > ready to get public?
> > 
> > the pipeline is not: we develop, branch, test, fix, release, all happening
> > sequentially.
> > 
> > there is overlap for several catalyst releases:
> > - when we make a public release 11.8
> > - the next one 11.9 is already being tested (for generic Q&A)
> > - and the one after 11.10 which is being branched (for component
> > testing/integration)
> > 
> > there are lots of engineers working on a graphics driver, with lots of
> > component.
> > 
> > regards,
> > 
> > Pierre B.
Comment 83 Ahmet Yasin Uslu 2011-08-30 03:26:00 CDT
(In reply to comment #82)
> Sounds like a plan :) 
> I am in for some beta testing! 
> 
> By the way, is there any official way we can sign up for beta testing? Or even
> help development?


i would love to join too.
Comment 84 Nelson Marques 2011-08-30 11:06:47 CDT
I'm also available for testing, and I can speak with the openSUSE maintainer so we have a special repository for testing releases if you guys want to provide us with development releases for our users to test.

Anything feel free to drop me a line: nmarques@opensuse.org

NM
Comment 85 Cedric Heintz 2011-08-30 11:18:26 CDT
(In reply to comment #84)
> I'm also available for testing, and I can speak with the openSUSE maintainer so
> we have a special repository for testing releases if you guys want to provide
> us with development releases for our users to test.
> 
> Anything feel free to drop me a line: nmarques@opensuse.org
> 
> NM

I'm also interested in testing Catalyst development release on openSUSE :)
Comment 86 Vangel Ajanovski 2011-09-03 06:15:36 CDT
Pierre, 

(In reply to comment #73)
> I believe that the official way is to use this link:
> http://support.amd.com/us/gpudownload/linux/Pages/radeon_linux.aspx?type=2.4.1&product=2.4.1.3.42&lang=English

I have used the Linux Crew Driver Feedback report on the link you give several times before and I have not received any notification. The last time I used it was to report THIS bug in May or June, just before I stopped using Gnome3 Shell.

So if this is an official channel for reporting problems, you definitely got a report at least in June if not earlier. Maybe something is wrong with the system, so my report never got in?

Now, where do I report my problem with 11.7 where the power spending is the same no matter if I switch to igpu or dgpu?
Where do I report my problem with 11.8 and how I never succeeded in installation?

How will I know that someone is looking into the problems I have?

If you need more resources, not have time etc, I am sure that there will be many people who would volunteer to maintain an OFFICIAL or SEMI-official bug tracker. If you just decided on this, that could be even this site!.
And I guess there are at least hundred of various simple solutions for this not requiring too much effort from you (meaning you spend more time fixing problems, instead of chatting on forums) and collaborating more with the community.
Comment 87 Ahmet Yasin Uslu 2011-10-02 09:26:49 CDT
11.9 released, have anybody tried ?
Comment 88 Crypto_Ahash 2011-10-02 09:41:15 CDT
(In reply to comment #87)
> 11.9 released, have anybody tried ?

Gnome-shell with gnome3 is kinda fixed with the 11.9 drivers.
But still a long way to go to be honest...
Comment 89 Patrik Kullman 2011-10-02 11:06:56 CDT
11.9 brought some improvements, it was a big step up for me (HD6450), and made gnome-shell somewhat usable.

There was a lot of flickering and ghost windows appearing though.
Comment 90 smily03 2011-10-06 08:37:32 CDT
Actually, it made it much worse for me. My laptop (Thinkpad T500) and secondary display are both 1680x1050 resolution (I need this for my job,) and with the old driver I could do one display next to the other (extending them to one large display) but as soon as I applied the new driver, it can't do that anymore, and will only mirror :(

This is getting pretty ridiculous, I've been holding out on rebuilding my laptop for almost 10 months now vainly hoping that ATI would fix their problems...I'm reeeealy close to just ditching ATI and being done with it.
Comment 91 Carlo 2011-10-07 15:13:17 CDT
(In reply to comment #89)
> 11.9 brought some improvements, it was a big step up for me (HD6450), and made
> gnome-shell somewhat usable.
> 
> There was a lot of flickering and ghost windows appearing though.

I can report exactly the same problems.
Comment 92 Carlo 2011-10-07 15:17:49 CDT
Besides fglrx doesn't support xorg version 11, so it's not (easily) installable for example in Debian testing. Fglrx maintainers report a segmentation fault on that version.
Comment 93 Isaac 2011-10-12 09:46:54 CDT
I am testing 11.9 with a Debian testing/unstable. The new version solves the colorful top bar issue, but has the following problems:
 - Continuous glitches
 - Incompatible with the latest Xorg package due to ABI issues

I guess this means another three months until fixed... now that Optimus is working in Linux, it is time to move back to NVIDIA.
Comment 94 Crypto_Ahash 2011-10-12 11:58:23 CDT
(In reply to comment #93)
> I am testing 11.9 with a Debian testing/unstable. The new version solves the
> colorful top bar issue, but has the following problems:
>  - Continuous glitches
>  - Incompatible with the latest Xorg package due to ABI issues
> 
> I guess this means another three months until fixed... now that Optimus is
> working in Linux, it is time to move back to NVIDIA.

Try installing Gnome 3.2 lol. Disaster with 11.9 and other AMD FGLRX drivers. This is unacceptable!
Next card will be a nVidia for sure. I am totally done with this shit.
Comment 95 Nicholas Hadaway 2011-10-12 15:13:59 CDT
Just as a side note... this bug doesn't only affect Linux.

I have been testing Gnome 3.0/3.1/3.2 with Catalyst drivers all the way up to the latest 11.9 release... and on Windows 7...

To see the rainbow colors in Windows... install Winamp... and in the notification window for song changing the song title is just like the gnome-shell top bar.
Comment 96 Christopher Semmler 2011-10-15 08:13:58 CDT
I can confirm this bug in Ubuntu 11.10. The open source driver does not cause glitches, but as soon as I've installed the flgrx for a Radeon HD4550 Gnome Shell becomes a rainbow. 
Can confirm this on my laptop's HD5470 too. 

@Pierre
Dudes, get that done or these two are going to be the last devices I bought from your company. Winners do not provide explanations and excuses but solutions.
Comment 97 jp 2011-10-16 03:10:59 CDT
http://www.youtube.com/watch?v=e7F6xSTTD-Y

11.9, its usable if you can live with distortions shown in video
glitches appears also when bottom notification shows or hides, sometimes when scrolling in windows. Thanks ;-)

(asus k52d notebook, ubuntu 11.10 and gnome shell)
Comment 98 cuu508 2011-10-17 06:00:37 CDT
Some of the glitches goes away if you enable Tear Free in amdcccle
Comment 99 jerico 2011-10-25 04:23:22 CDT
+1 a lot of issues persist. Skype makes the notification bar really unstable. An incoming message can corrupt the whole screen or even crash GNOME. This is a show stopper.
Comment 100 Ahmet Yasin Uslu 2011-10-25 08:18:46 CDT
(In reply to comment #99)
> +1 a lot of issues persist. Skype makes the notification bar really unstable.
> An incoming message can corrupt the whole screen or even crash GNOME. This is a
> show stopper.

And all corrupts starts after starting a notification object. There is no 
corruptions while not using tray.
Comment 101 texstar 2011-10-31 15:35:52 CDT
AMD 11.10 8.902 fglrx driver STILL does not work properly with Gnome Shell 3.2.

Screen glitching something terrible and menus still slant. 

kernel 2.6.38.8
X.Org X Server 1.10.4
Release Date: 2011-08-19
X Protocol Version 11, Revision 0
Build Operating System: Linux_2.6.38.8-pclos3 PCLinuxOS
Current Operating System: Linux localhost.localdomain 2.6.38.8-pclos3 #1 SMP Sun Jul 17 11:44:33 CDT 2011 x86_64
Comment 102 Carlo 2011-10-31 19:39:31 CDT
I know it's hard to believe, but after tonight update of my debian testing installation gnome 3 is working perfectly. So maybe it wasn't amd fault after all... maybe nobody's fault, just the need for little cooperation...
Comment 103 texstar 2011-10-31 19:51:15 CDT
(In reply to comment #102)
> I know it's hard to believe, but after tonight update of my debian testing
> installation gnome 3 is working perfectly. So maybe it wasn't amd fault after
> all... maybe nobody's fault, just the need for little cooperation...

What kernel, xorg version and gnome 3 version are you using?
Comment 104 Carlo 2011-10-31 19:53:42 CDT
Ehm... after a perfect half an hour the glitches reappeared and after restarting gnome-shell even a user interface total freeze happened.
Comment 105 Carlo 2011-10-31 19:58:17 CDT
(In reply to comment #103)
> (In reply to comment #102)
> > I know it's hard to believe, but after tonight update of my debian testing
> > installation gnome 3 is working perfectly. So maybe it wasn't amd fault after
> > all... maybe nobody's fault, just the need for little cooperation...
> 
> What kernel, xorg version and gnome 3 version are you using?

kernel 3.0.0-1-amd64
xorg 1:7.6+8
gnome-shell 3.0.2-5 (I think currently debian testing is preparing for gnome 3.2, and some packages are already at the 3.2 version, but not all...)
Comment 106 Crypto_Ahash 2011-11-01 00:35:39 CDT
(In reply to comment #105)
> (In reply to comment #103)
> > (In reply to comment #102)
> > > I know it's hard to believe, but after tonight update of my debian testing
> > > installation gnome 3 is working perfectly. So maybe it wasn't amd fault after
> > > all... maybe nobody's fault, just the need for little cooperation...
> > 
> > What kernel, xorg version and gnome 3 version are you using?
> 
> kernel 3.0.0-1-amd64
> xorg 1:7.6+8
> gnome-shell 3.0.2-5 (I think currently debian testing is preparing for gnome
> 3.2, and some packages are already at the 3.2 version, but not all...)

I have created a new ticket for 11.10. Latest driver update performs very fast. But with Gnome 3.2.x the desktop is totally unusable. Another Fail for a AMD ATi Linux driver update. 

Is it that hard to fix ATi Engineers? Give me a freaking break!
Comment 107 Carlo 2011-11-01 11:53:58 CDT
I have installed gnome-shell 3.2 from debian experimental and I confirm that things are going on pretty well. Very few glitched... just every now and then. The rendering is almost always pretty and smooth. 



(In reply to comment #106)
> (In reply to comment #105)
> > (In reply to comment #103)
> > > (In reply to comment #102)
> > > > I know it's hard to believe, but after tonight update of my debian testing
> > > > installation gnome 3 is working perfectly. So maybe it wasn't amd fault after
> > > > all... maybe nobody's fault, just the need for little cooperation...
> > > 
> > > What kernel, xorg version and gnome 3 version are you using?
> > 
> > kernel 3.0.0-1-amd64
> > xorg 1:7.6+8
> > gnome-shell 3.0.2-5 (I think currently debian testing is preparing for gnome
> > 3.2, and some packages are already at the 3.2 version, but not all...)
> 
> I have created a new ticket for 11.10. Latest driver update performs very fast.
> But with Gnome 3.2.x the desktop is totally unusable. Another Fail for a AMD
> ATi Linux driver update. 
> 
> Is it that hard to fix ATi Engineers? Give me a freaking break!
Comment 108 Crypto_Ahash 2011-11-01 15:13:45 CDT
Post your specs please.

(In reply to comment #107)
> I have installed gnome-shell 3.2 from debian experimental and I confirm that
> things are going on pretty well. Very few glitched... just every now and then.
> The rendering is almost always pretty and smooth. 
> 
> 
> 
> (In reply to comment #106)
> > (In reply to comment #105)
> > > (In reply to comment #103)
> > > > (In reply to comment #102)
> > > > > I know it's hard to believe, but after tonight update of my debian testing
> > > > > installation gnome 3 is working perfectly. So maybe it wasn't amd fault after
> > > > > all... maybe nobody's fault, just the need for little cooperation...
> > > > 
> > > > What kernel, xorg version and gnome 3 version are you using?
> > > 
> > > kernel 3.0.0-1-amd64
> > > xorg 1:7.6+8
> > > gnome-shell 3.0.2-5 (I think currently debian testing is preparing for gnome
> > > 3.2, and some packages are already at the 3.2 version, but not all...)
> > 
> > I have created a new ticket for 11.10. Latest driver update performs very fast.
> > But with Gnome 3.2.x the desktop is totally unusable. Another Fail for a AMD
> > ATi Linux driver update. 
> > 
> > Is it that hard to fix ATi Engineers? Give me a freaking break!
Comment 109 Jasper St. Pierre 2011-11-02 07:32:58 CDT
(In reply to comment #65)
> - finally, the crux of the issue here is that gnome developers should have
> actually contacted AMD about this issue before releasing something which only
> works on nvidia.

Hi. I'm a GNOME developer who worked on GNOME 3.0 and 3.2. What's the appropriate way to contact you to make sure that these issues don't happen in the future?
Comment 110 pierre.boudier@amd.com 2011-11-02 08:39:24 CDT
in case of opengl specific issue, you ca(In reply to comment #109)
> Hi. I'm a GNOME developer who worked on GNOME 3.0 and 3.2. What's the
> appropriate way to contact you to make sure that these issues don't happen in
> the future?

in case of openGL specific question, you can contact me directly.

regards,

Pierre B.
Comment 111 Snowcat 2011-11-07 23:50:05 CST
Confirm, that problems still persist with recent Catalyst 11.10 on Ubuntu 11.10
using gnome-shell-3.2.1-0ubuntu1 (oneiric-updates).

My video card is:
----------------
:~$ lspci | grep Radeon
01:00.0 VGA compatible controller: ATI Technologies Inc RV710 [Radeon HD 4350]

X Server build is:
-----------------
:~$ Xorg -version

X.Org X Server 1.10.4
Release Date: 2011-08-19
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.24-29-server i686 Ubuntu
Current Operating System: Linux 3.0.0-13-generic #22-Ubuntu SMP Wed Nov 2 13:25:36 UTC 2011 i686
Kernel command line: BOOT_IMAGE=/vmlinuz-3.0.0-13-generic root=UUID=c2892074-6ae0-4f67-9a49-2050dcaf7137 ro quiet splash vt.handoff=7
Build Date: 19 October 2011  05:09:41AM
xorg-server 2:1.10.4-1ubuntu4.2 (For technical support please see http://www.ubuntu.com/support) 
Current version of pixman: 0.22.2
Comment 112 phocean 2011-11-11 03:24:07 CST
Same issues on all my ATI graphics based computers :

- PC : Redwood PRO [Radeon HD 5500 Series]
- Laptop : Mobility Radeon HD 3400 Series

Using sotck Ubuntu 11.10 versions :
Xorg 1:7.6+7ubuntu7
kernel 3.0.0-12-generic

And the latest Catalyst driver (11.10)...

Please fix it quickly, it is a shame to see a driver failing so much and so long.
Comment 113 Nelson Marques 2011-11-11 04:01:10 CST
The driver works fine in RHEL6.1 with GNOME2+Compiz by the way. Please don't break it...
Comment 114 Simone Lussardi 2011-11-11 08:04:22 CST
Hello to all, confirm that some problems still persists with Ubuntu 11.10 32 bit + FGLRX driver version 11.10 downloaded from AMD website.

Actually entire rendering is almost fine, the only problem left is when the system notices appears, screen flashes totally out of control, but then it becomes normal again. All rendering appears to be fine, nothing messed up is left behind after the "turbulence" lol

Lenovo ThinkPad T400

Adapter:
01:00.0 VGA compatible controller: ATI Technologies Inc Mobility Radeon HD 3400 Series


XOrg:
X.Org X Server 1.10.4
Release Date: 2011-08-19
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.24-29-server i686 Ubuntu
Current Operating System: Linux simone-ThinkPad-T400 3.0.0-12-generic #20-Ubuntu SMP Fri Oct 7 14:50:42 UTC 2011 i686
Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.0.0-12-generic root=UUID=2000c04d-a91a-4dc0-bfda-d6f32f8dab59 ro quiet splash vt.handoff=7
Build Date: 19 October 2011  05:09:41AM
xorg-server 2:1.10.4-1ubuntu4.2 (For technical support please see http://www.ubuntu.com/support) 
Current version of pixman: 0.22.2
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.

Cheers !
Comment 115 phocean 2011-11-12 09:32:16 CST
Well, as far as I am concerned, this bug is fixed.

After months of shitty experience with both Unity and now Gnome-shell, today I bought myself for 50€ a cheap Nvidia N210.

And WOW! What a blowing f** great experience in comparison. No more glitches, artefacts, laggy windows, etc.

Shame on ATI. Even my EEE PC netbook was outperforming my desktop computer.
This will be for sure my last ATI card. How stupid was I to be so patient, it is not worth the price.
Comment 116 hugo.franco75 2011-11-14 08:35:43 CST
Sadly, AMD is forcing us to jump into the arms of NVidia. Yeah, maybe Gnome3 is a poorly developed Desktop Environment at this time, but there is no reason why AMD/ATI doesn't take care of this issue and of us, their customers. If Gnome3 is working fine with nVidia in one hand and the radeon OpenSource driver in the other, there should be some concerns for AMD/ATI about the support they are offering to their users.
Comment 117 phocean 2011-11-14 10:18:38 CST
Just to add that it works very well even on the Intel chipset of my EEE...
It is definitely an ATI issue.
Comment 118 Age Bosma (IRC: Forage) 2011-11-14 10:46:21 CST
Could we all just stay on topic a bit more and only provide information that is useful to this issue?

- There is no point in telling us you're going to switch to any other brand. It does not solve this particular issue.
- Confirmations about this issue not occurring with other brands is of no value. We already established it's an ATI driver issue.
- Multiple confirmations with identical setups (same OS, same driver release) is not helpful, one is sufficient.
- Telling us ATI should do a better job is not helpful to this issue. We know they should, they know they should.

Any matters not related to the current issue should be either filed in a new ticket, discussed on a forum or submitted to ATI directly.
Placing it here only adds additional noise and it will not makes matters any better.

I agree it all takes way to long before issues are getting fixed but for whatever reason they can't and/or aren't doing it as fast as we would like. The fact remains that they are at least working on it.
The fact that the GNOME devs are at least taking the effort to contact ATI is a welcome step in the right direction and might speed up the process.
Comment 119 phocean 2011-11-14 11:08:50 CST
I am (was) a customer, so I have the right to make noise. I spent money for junk, I am angry and getting impatient.
Isn't it normal? Who is wrong here is pretty obvious...

And I do think it is meaningful to tell that it works with all other brands around.
After all, it is not like AMD is a family buisiness. We can expect them to provide at least the same quality and support as other companies do.

Telling that for them Linux is important and then taking months is just an insulting joke.
Comment 120 Age Bosma (IRC: Forage) 2011-11-14 12:11:30 CST
(In reply to comment #119)
> I am (was) a customer, so I have the right to make noise.

I'm not saying you shouldn't. I'm saying do so in the appropriate place. This ticket is not the place.
Doing it here means you are saying it to the users who are all in the same situation as you, otherwise they would not have subscribed and attributed to the issue. We all have the issue, we all want it to go away, we all know the alternatives.

If you want AMD to know how you think, tell it to them and not the user who already know it: http://support.amd.com/us/contacts/Pages/ProcessorTechnicalSupport.aspx
Comment 121 Crypto_Ahash 2011-11-15 23:47:36 CST
Created attachment 275 [details]
Desktop Screenshot
Comment 122 Crypto_Ahash 2011-11-15 23:48:33 CST
(In reply to comment #121)
> Created attachment 275 [details]
> Desktop Screenshot

Ati 11.11 Still fully unusable...
Comment 123 szebenyib 2011-11-16 00:06:43 CST
:(:(:(

If I can help the developers I would be glad to send any kind of information about this. I truly want to use GNOME as my DE and meanwhile not to burn my ATI card with the hot open-source drivers.
It is really important to solve this, please.

(I have not updated to the most recent version yet, but as soon as it hits the aur I will.)
Comment 124 texstar 2011-11-16 00:19:13 CST
Gnome Shell 3.2.1 = ATI Catalyst™Proprietary Display Drivers Kryptonite!
Comment 125 Crypto_Ahash 2011-11-16 00:47:19 CST
(In reply to comment #124)
> Gnome Shell 3.2.1 = ATI Catalyst™Proprietary Display Drivers Kryptonite!

Yes it seems like it doesn't :(
I am just disappointed in the fact that I thought ATi and Gnome devs were finally communicating with each other to release a working ATi driver. The fact that the driver got released so early in the month making me think they had a GOOD reason (Fix) for this fast release. Oh well bummer.
Comment 126 Crypto_Ahash 2011-11-16 02:28:35 CST
Created attachment 276 [details]
ATiSystemInfo.txt

On my Desktop Computer ATi fglrx drivers 11.10 and 11.11 are working correctly with Gnome3 and Gnome-shell.

I have included my systeminfo. I will do a same systeminfo post later on from my laptop where ATi drivers do not work with gnome3 and shell.
Comment 127 Crypto_Ahash 2011-11-16 03:00:49 CST
Created attachment 277 [details]
AtiSystemInfo-Laptop

As promised. Laptop AtiSystemInfo data where Gnome3 and gnome-shell do not work with 11.10 and 11.11
Comment 128 Simone Lussardi 2011-11-16 03:21:00 CST
(In reply to comment #127)
> Created attachment 277 [details]
> AtiSystemInfo-Laptop
> 
> As promised. Laptop AtiSystemInfo data where Gnome3 and gnome-shell do not work
> with 11.10 and 11.11

Same here pal. I have upgraded my system yesterday to 64 bits (still Ubuntu 11.10, Lenovo T400 Laptop, Radeon HD 3400).

Artifacts have somewhat diminished, and the screen doesn't flash very badly anymore, and interface response seems to be extremely fast... But problems still persist.
Comment 129 christian667 2011-11-16 06:12:20 CST
(In reply to comment #128)
> (In reply to comment #127)
> > Created attachment 277 [details]
> > AtiSystemInfo-Laptop
> > 
> > As promised. Laptop AtiSystemInfo data where Gnome3 and gnome-shell do not work
> > with 11.10 and 11.11
> 
> Same here pal. I have upgraded my system yesterday to 64 bits (still Ubuntu
> 11.10, Lenovo T400 Laptop, Radeon HD 3400).
> 
> Artifacts have somewhat diminished, and the screen doesn't flash very badly
> anymore, and interface response seems to be extremely fast... But problems
> still persist.

Where did you get 11.11? Right here:

http://support.amd.com/de/gpudownload/linux/Pages/radeon_linux.aspx?type=2.4.1&product=2.4.1.3.42&lang=English

not available yet..
Comment 130 Crypto_Ahash 2011-11-16 06:39:56 CST
(In reply to comment #129)
> (In reply to comment #128)
> > (In reply to comment #127)
> > > Created attachment 277 [details]
> > > AtiSystemInfo-Laptop
> > > 
> > > As promised. Laptop AtiSystemInfo data where Gnome3 and gnome-shell do not work
> > > with 11.10 and 11.11
> > 
> > Same here pal. I have upgraded my system yesterday to 64 bits (still Ubuntu
> > 11.10, Lenovo T400 Laptop, Radeon HD 3400).
> > 
> > Artifacts have somewhat diminished, and the screen doesn't flash very badly
> > anymore, and interface response seems to be extremely fast... But problems
> > still persist.
> 
> Where did you get 11.11? Right here:
> 
> http://support.amd.com/de/gpudownload/linux/Pages/radeon_linux.aspx?type=2.4.1&product=2.4.1.3.42&lang=English
> 
> not available yet..

I got it from here:
http://support.amd.com/us/gpudownload/linux/Pages/radeon_linux.aspx?type=2.4.1&product=2.4.1.3.42&lang=English
Comment 131 christian667 2011-11-16 07:32:51 CST
(In reply to comment #130)
> (In reply to comment #129)
> > (In reply to comment #128)
> > > (In reply to comment #127)
> > > > Created attachment 277 [details]
> > > > AtiSystemInfo-Laptop
> > > > 
> > > > As promised. Laptop AtiSystemInfo data where Gnome3 and gnome-shell do not work
> > > > with 11.10 and 11.11
> > > 
> > > Same here pal. I have upgraded my system yesterday to 64 bits (still Ubuntu
> > > 11.10, Lenovo T400 Laptop, Radeon HD 3400).
> > > 
> > > Artifacts have somewhat diminished, and the screen doesn't flash very badly
> > > anymore, and interface response seems to be extremely fast... But problems
> > > still persist.
> > 
> > Where did you get 11.11? Right here:
> > 
> > http://support.amd.com/de/gpudownload/linux/Pages/radeon_linux.aspx?type=2.4.1&product=2.4.1.3.42&lang=English
> > 
> > not available yet..
> 
> I got it from here:
> http://support.amd.com/us/gpudownload/linux/Pages/radeon_linux.aspx?type=2.4.1&product=2.4.1.3.42&lang=English

thx..
Comment 132 Ahmet Yasin Uslu 2011-11-16 07:49:45 CST
Created attachment 279 [details]
screenshot of broken gnome-shell
Comment 133 Ahmet Yasin Uslu 2011-11-16 07:50:57 CST
Created attachment 280 [details]
screenshot of which should be seen
Comment 134 Ahmet Yasin Uslu 2011-11-16 07:51:44 CST
i will test 11.11, but on 11.10 apart from all problems. I think this problem could help you fix other problems. On Ubuntu 11.10, when you drag a tab on Eclipse version 3.7.0 ( i dunno about other versions though ) screen looks like [1]. On [1] screen mixed with my background and ATI CCC window (which is not open right now).  After drop the tab, it becomes normal again [2]. When i print screened it, it captured some irrelevant frame from past :D. 

[1] - http://ati.cchtml.com/attachment.cgi?id=279
[2] - http://ati.cchtml.com/attachment.cgi?id=280
Comment 135 cuu508 2011-11-16 08:31:59 CST
I tried 11.11 on Fedora 16, 32bit, kernel 3.1.1-1.fc16, Radeon HD 6850

Single head seemed to work. I noticed a couple of glitches with gnome-shell:
 * when going in and out of overview, it would sometimes for a split-second display garbage
 * Tooltips sometimes looked skewed
 * In the short testing period gnome-shell crash-restarted once
 * Transitions, dragging windows around were not smooth, felt like 15fps or so. But "watch aticonfig --ocgc" showed GPU utilization in 1-3% range at all times. I was going to try disabling vsync in ccsm, but it was segfaulting for some reason--but this is probably unrelated issue

It was harder to get dualhead to work. Starting with "aticonfig --initial=dual-head" produced xorg.conf file that gnome-shell wouldn't work at all, .xsession-errors had something along the lines (reciting from memory): "gnome-shell-check-accelerated: Zaphod mode not supported"

I started with "aticonfig --initial", then added "Virtual 2880 1024" line in xorg.conf "Display" section, after this was able to turn the second monitor on from AMD Control Center.
Comment 136 christian667 2011-11-16 09:16:44 CST
Ok right now with Ubuntu 11.11 / Gnome Shell and Catalyst 11.11 I have glitches like that:
http://www.youtube.com/watch?v=6uFkhH2wlBg
Comment 137 Michael Cronenworth 2011-11-17 18:36:06 CST
*** Bug 156 has been marked as a duplicate of this bug. ***
Comment 138 Simone Lussardi 2011-11-24 01:15:49 CST
I know that this is not the appropriate place and so on, but since December is approaching and the issue has surpassed any kind of possible "heat" indicators ever invented, I am going to ask it here.

Are there any good news for the upcoming 11.12 driver ? Of course this question is for the developing team, as they may know how the tests are going...
Comment 139 amigo_zhen 2011-11-24 21:24:22 CST
We fixed issues that can be reproduced on our local systems. The fixes will be included in 12.1 release. However, we can’t reproduce all of the issues reported in this thread. Can you create new report for issues that are different from the original one (Active bar corruption) so we can confirm the issues one by one with you? 
Thanks for help.
Comment 140 Simone Lussardi 2011-11-24 22:09:00 CST
(In reply to comment #139)
> We fixed issues that can be reproduced on our local systems. The fixes will be
> included in 12.1 release. However, we can’t reproduce all of the issues
> reported in this thread. Can you create new report for issues that are
> different from the original one (Active bar corruption) so we can confirm the
> issues one by one with you? 
> Thanks for help.

Of course I can !! Eagerly awaiting for the driver to test. And I will list the remaining issues one by one in a new report.

Thanks for the feedback.
Comment 141 Crypto_Ahash 2011-11-25 01:21:24 CST
(In reply to comment #139)
> We fixed issues that can be reproduced on our local systems. The fixes will be
> included in 12.1 release. However, we can’t reproduce all of the issues
> reported in this thread. Can you create new report for issues that are
> different from the original one (Active bar corruption) so we can confirm the
> issues one by one with you? 
> Thanks for help.

Thank you very much. As requested: http://ati.cchtml.com/show_bug.cgi?id=339
Comment 142 Age Bosma (IRC: Forage) 2011-11-25 10:03:47 CST
(In reply to comment #139)
> Can you create new report for issues that are
> different from the original one (Active bar corruption) so we can confirm the
> issues one by one with you? 

Multi-monitor issues: https://bugzilla.gnome.org/show_bug.cgi?id=663740
Comment 143 Crypto_Ahash 2011-12-01 10:15:46 CST
(In reply to comment #139)
> We fixed issues that can be reproduced on our local systems. The fixes will be
> included in 12.1 release.
> Thanks for help.

So the main fixes will be released in January 2012 fglrx release??
Comment 144 amigo_zhen 2011-12-05 20:09:56 CST
Yes. But we will try to include the fix in some earlier minor release
Comment 145 texstar 2011-12-05 20:56:02 CST
(In reply to comment #144)
> Yes. But we will try to include the fix in some earlier minor release

Well bring it on! lol


Do you guys have anything setup that would allow the testing of various builds prior to an official release?
Comment 146 Crypto_Ahash 2011-12-05 23:28:20 CST
(In reply to comment #144)
> Yes. But we will try to include the fix in some earlier minor release

Thanks that would be nice. If you need any testers let me know :)
Comment 147 Michael Cronenworth 2011-12-07 21:05:49 CST
*** Bug 215 has been marked as a duplicate of this bug. ***
Comment 148 texstar 2011-12-13 19:26:36 CST
I just wanted to report that the AMD 11.12 8.92 driver changed absolutely nothing for Gnome 3 shell. 

The driver still causes screen glitches like a Max Headroom video when switching between activities and many application dialogs are corrupted and presented diagonally.


System:

AMD 64 Quad core
kernel-2.6.38.8
x11-server-xorg-1.10.4
mesa-7.11.2
RS880 [Radeon HD 4200]
Comment 149 Crypto_Ahash 2011-12-14 02:03:15 CST
(In reply to comment #148)
> I just wanted to report that the AMD 11.12 8.92 driver changed absolutely
> nothing for Gnome 3 shell. 
> The driver still causes screen glitches like a Max Headroom video when
> switching between activities and many application dialogs are corrupted and
> presented diagonally.
> System:
> AMD 64 Quad core
> kernel-2.6.38.8
> x11-server-xorg-1.10.4
> mesa-7.11.2
> RS880 [Radeon HD 4200]


Same here ... Its even worse. now my right mouse click menu is even all messed up. ATi Devs please check my other bug reports they are still active for 11.12.
Comment 150 Sabbath 2011-12-16 12:13:31 CST
No creo que sean capaces de solucionar este error, ya llevamos casi un año con lo mismo, y parece ser que AMD no va a hacer algo al respecto.



I do not think they are able to resolve this error, we've been almost a year with the same, and it seems that AMD is not going to do something about it.
Comment 151 Crypto_Ahash 2011-12-19 01:47:41 CST
(In reply to comment #144)
> Yes. But we will try to include the fix in some earlier minor release

Note to ATi Devs. I am noticing that most of the users having issues are mobility (Laptop) users. 
Maybe check that out?

Just as information request, can we expect a working Desktop with the next driver release?
Comment 152 szebenyib 2011-12-19 07:10:48 CST
> Note to ATi Devs. I am noticing that most of the users having issues are
> mobility (Laptop) users. 

It is true for me: I have a SONY VPCCA-2S1E with:
01:00.0 VGA compatible controller: ATI Technologies Inc NI Seymour [AMD Radeon HD 6470M]

If I can give you any further info, please let me know. I want to use gnome3, and this issue is very embarrasing.
Comment 153 Ezequiel 2011-12-19 15:09:41 CST
Guys, I've made a huge breakthrough, I was able to found a REALLY BIG part of the issue: the system tray. Following this steps I came with a pretty rotund solution to major graphic corruptions:

$ sudo apt-get install gnome-shell-classic-systray

Currently using Webupd8 and Emergya repos.
Comment 154 texstar 2011-12-19 19:44:22 CST
(In reply to comment #153)
> Guys, I've made a huge breakthrough, I was able to found a REALLY BIG part of
> the issue: the system tray. Following this steps I came with a pretty rotund
> solution to major graphic corruptions:
> 
> $ sudo apt-get install gnome-shell-classic-systray
> 
> Currently using Webupd8 and Emergya repos.


I can confirm your findings. Installing and activating this shell extension moves the items in the systray normally located at the bottom of the screen to the top panel so the screen no longer glitches like mad when switching between an application and Activities. 

Application dialogs are still corrupted and presented diagonally but not as bad as before.
Comment 155 Sabbath 2011-12-21 19:53:29 CST
Amd Phenom X4
Ati Radeon HD 4650 1GB
Archlinux Kernel 3.1.5
Xorg 1.11.3
Gnome 3 + Shell 3.2.1

Catalyst 11.12 = Inutilizable "unusable"

Necesitamos una solucion pronto, es ridiculo el tiempo que llevamos esperando una solucion.

Si no se soluciona algo en la version 12.1 del catalyst, lamentablemente voy a tener que cambiar de tarjeta de video. :(

_______________________________________________________________________________


We need a solution soon, it's ridiculous how long we've been waiting a solution.

If something does not work in version 12.1 of the catalyst, unfortunately I have to change the video card. : (
Comment 156 Sabbath 2011-12-21 19:55:18 CST
Amd Phenom X4
Ati Radeon HD 4650 1GB
Archlinux Kernel 3.1.5
Xorg 1.11.3
Gnome 3 + Shell 3.2.1

Catalyst 11.12 = Inutilizable "unusable"

Necesitamos una solucion pronto, es ridiculo el tiempo que llevamos esperando una solucion.

Si no se soluciona algo en la version 12.1 del catalyst, lamentablemente voy a tener que cambiar de tarjeta de video. :(

_______________________________________________________________________________


We need a solution soon, it's ridiculous how long we've been waiting a solution.

If something does not work in version 12.1 of the catalyst, unfortunately I have to change the video card. : (
Comment 157 Gary 2011-12-25 20:08:31 CST
Confirm the bug. Radeon HD 6800, Catalyst version 11.12, Driver Packaging Version 8.92-111109a-129215C-ATI

The latest driver fixed the garbled text issue on top panel, still there's excessive screen tearing and the whole screen flashes and blinks when trying to move mouse in Activities mode.
Comment 158 Seife 2012-01-02 17:04:49 CST
Confirm the bug. distorted windows are really really annoying. Please fix this.
Comment 159 Age Bosma (IRC: Forage) 2012-01-02 19:43:52 CST
All hopes are up for this months driver release, which is supposed to fix a lot of the issues.
I'll start filing separate bug reports for all leftovers after it has been released instead of doing it now. There has been no report on what has actually been addressed so far and it would be a waste of time to start filing issues which have already been fixed.

@amigo_zhen: I'd be happy to start filing issues right away though, if you can provide a list of what has been addressed so far.
Comment 160 Sabbath 2012-01-05 17:51:39 CST
cuando lanzan la version 12.1 del catalyst?

___________________________________________


when launching version 12.1 of the catalyst?
Comment 161 Navneet Khare 2012-01-23 06:40:18 CST
Took me a day to figure out that it's actually a bug and not something wrong with my setup. All the graphic looks corrupted in Gnome 3.2.2.1 with missing icons, garbled/malformed windows etc. I hope it gets fixed soon.
Comment 162 texstar 2012-01-26 00:56:31 CST
12.1 works with Gnome shell.
Comment 163 Malar Kannan 2012-01-26 01:10:27 CST
the opensource Gallium 3D driver is getting more matured recently.it even brings OpenCL capabilities.
http://www.phoronix.com/scan.php?page=news_item&px=MTA0ODQ

also it didn't have this bug since the dawn of gnome-shell.
Comment 164 Simone Lussardi 2012-01-26 05:51:45 CST
(In reply to comment #162)
> 12.1 works with Gnome shell.

Same here ! Gnome 3 perfect so far.

Ubuntu 11.10 64 bits
AMD ATI Radeon HD 3400
Thinkpad T400 laptop
Comment 165 Sabbath 2012-01-26 12:34:35 CST
many things have been fixed.

but the performance is not good

ATI Radeon HD 4650 1 GB
Comment 166 pierre.boudier@amd.com 2012-01-26 13:08:53 CST
can you file a separate bug about any performance issue, with some explanation/repro/test case ?

thanks,

Pierre B.

PS: and you can close the bug, if the quality issues are deemed fixed.
Comment 167 szebenyib 2012-01-26 13:52:15 CST
It is now working with Gnome 3 on Ati Radeon HD6470M!!
Thanks! It was a very very annoying bug, now I can use my PC the way I want!

Some have reported (https://bbs.archlinux.org/viewtopic.php?pid=1047954#p1047954) an increase in temperature compared to 11 series, I have checked the only sensor I have access to and it seems to have remained the same. It is 10°C or even more lower than with open-source drivers.

For those reading: the speed may be lower than that with open source driver, but it is very usable. It is not annoying and allows to use the normal gnome 3.2 desktop. Honestly I don't care, I want to use the desktop and I can use it now.

I don't know anything about cinnamon.
Comment 168 Vangel Ajanovski 2012-01-26 16:23:54 CST
I have decided to try once again if this works. 
And finally I received a "pleasant" surprise.
My hybrid configuration with ATI 5470 and Intel i5 is not longer supported by ATI.

Today my laptop (HP Pavilion dm4t-1100) is just 1yr old and is at the end of the 1 year warranty, and somehow it is officially obsolete.

This card was never fully supported by ATI nor HP. I tried many combinations and none worked. HP does not give a BIOS switch and software wise it is not supported. Only once ATI issued a version (i think 11.6 or 11.7) and with it I was able to switch to Intel or ATI, but after switching the card was working as fast (or as slow) as the Intel, and it was burning up (too hot to handle and it spent the battery in half the time).

So most of this 1 year of having this laptop. 99.9999% of the time, I had the ATI card SWITCHED OFF in order to have a normal working temperature and normal battery life. How did I switch it off? Thanks to open source driver and  vga_switcheroo. Without this, it was only useful to keep my lap warm during the 2 days when the heating was out at the university.

All of this will be quite an interesting lecture for my students eager to learn OpenGL. What will I say to them? If you want truly advanced working opengl setup, buy a laptop with ONLY Intel integrated card. Skip ATI. Skip NVidia, and definitely skip all mixed, hybrid and similar configurations.
Comment 169 Age Bosma (IRC: Forage) 2012-01-26 18:09:44 CST
(In reply to comment #168)
> My hybrid configuration with ATI 5470 and Intel i5 is not longer supported by
> ATI.
> 

How is this related to graphical corruption with gnome-shell?
It's a completely different topic which, if you haven't lost all hope, should be filed as a separate issue. That is, if you haven't already.
Comment 170 Vangel Ajanovski 2012-01-26 18:57:13 CST
Like all of you, I was also waiting for the solution for this problem since April. Like some of you, I have also reported this problem to ATI since then (via the linux crew feedback link which has always been at the download page). I have also reported the other problems.

Finally during the summer, I switched to GS3 predominantly, and because of these problems, I decided to stop trying until I hear some good news.

So after almost whole year, I finally learn that in 12.1, GS3 supposedly works, but unfortunately ATI has ditched my card as if it was 10 years old.
Comment 171 Crypto_Ahash 2012-01-27 01:29:01 CST
Just to note. The 12.1 drivers fix this bug entry. Its not yet a 100% but the desktop is usable now. I would recommend closing this bug as it is fixed.

I will create a new bug entry now for the performance of this latest drivers.
Comment 172 szebenyib 2012-01-27 02:22:37 CST
(In reply to comment #171)
> Just to note. The 12.1 drivers fix this bug entry. Its not yet a 100% but the
> desktop is usable now. I would recommend closing this bug as it is fixed.
> 
> I will create a new bug entry now for the performance of this latest drivers.

+1

I think it is correct, it is usable, but performance needs to be tuned.
But we can finally use G3 :)
Comment 173 Crypto_Ahash 2012-01-28 06:54:17 CST
For those having bad performance with the latest drivers (12.1) and gnome-shell add:

export CLUTTER_VBLANK=none

to /etc/environment file and reboot X.
Comment 175 Crypto_Ahash 2012-01-30 01:19:47 CST
(In reply to comment #174)
> Exactly the same problem in:
> -- https://bugzilla.gnome.org/show_bug.cgi?id=668800 (openSUSE 12.1+fglrx 12.1)
> -- https://bugzilla.gnome.org/show_bug.cgi?id=668930 (Linux mint 12+fglrx 12.1)
> -- https://bugzilla.redhat.com/show_bug.cgi?id=702257 (Fedora 15,16+fglrx 12.1)
> -- https://bugzilla.gnome.org/show_bug.cgi?id=663155#c4 (GNOME 3.2.X+FGLRX
> 12.1)
> -- http://ati.cchtml.com/show_bug.cgi?id=99
> -- http://ati.cchtml.com/show_bug.cgi?id=264
> -- http://ati.cchtml.com/show_bug.cgi?id=283
> -- http://ati.cchtml.com/show_bug.cgi?id=339

This is not the way to do this. The segmentation bug has nothing to do with this screen corruption bug. The screen corruption has been fixed as of driver 12.1. 

Can the bug opener of this thread please just close this bug report as its becoming a spam thread...
Comment 176 Alex 2012-01-30 02:31:26 CST
> This is not the way to do this. The segmentation bug has nothing to do with
> this screen corruption bug. The screen corruption has been fixed as of driver
> 12.1. 

The screen corruption has been fixed as of driver 12.1 for YOUR model of videocard! There are people who have driver fglrx 12.1 still causes problems in conjunction with the Gnome 3, including myself. We are less fortunate than you

> Can the bug opener of this thread please just close this bug report as its
> becoming a spam thread...

"Spam is the use of electronic messaging systems (including most broadcast media, digital delivery systems) to send unsolicited bulk messages indiscriminately." from http://en.wikipedia.org/wiki/Spam_%28electronic%29

Continuation of this topic is not spam!!!
Comment 177 Stefan Sauer 2012-01-30 02:55:23 CST
(In reply to comment #176)
> > This is not the way to do this. The segmentation bug has nothing to do with
> > this screen corruption bug. The screen corruption has been fixed as of driver
> > 12.1. 
> 
> The screen corruption has been fixed as of driver 12.1 for YOUR model of
> videocard! There are people who have driver fglrx 12.1 still causes problems in
> conjunction with the Gnome 3, including myself. We are less fortunate than you

Alex, please don't do that. One bug at at time (=ticket, not release :)). Thats the only way forward.

ATI, just confirming that with the upgrade the corruptions are gone. Thanks!
Comment 178 Crypto_Ahash 2012-01-30 03:00:51 CST
(In reply to comment #176)
> > This is not the way to do this. The segmentation bug has nothing to do with
> > this screen corruption bug. The screen corruption has been fixed as of driver
> > 12.1. 
> 
> The screen corruption has been fixed as of driver 12.1 for YOUR model of
> videocard! There are people who have driver fglrx 12.1 still causes problems in
> conjunction with the Gnome 3, including myself. We are less fortunate than you

I have 3 different ATi gpu models where I test on. One APU HD4xxx series. One pci express 2.0 x16 6970 series and another pci express 2.0 x16 4890 series cards. They are all fixed with 12.1 drivers concerning: Desktop corruption in Gnome3 shell.
 
> > Can the bug opener of this thread please just close this bug report as its
> > becoming a spam thread...
> 
> "Spam is the use of electronic messaging systems (including most broadcast
> media, digital delivery systems) to send unsolicited bulk messages
> indiscriminately." from http://en.wikipedia.org/wiki/Spam_%28electronic%29
> 
> Continuation of this topic is not spam!!!

Continuation of this topic is not spam. The messages you ouput to this thread is spam. So I would recommend you post to a correct bug topic with some debug input from your specific issue. 

you still have a corrupted desktop with AMD 12.1 drivers? Post some useful information. Logs, debug messages, straces, and or Screenshots.
Comment 179 pierre.boudier@amd.com 2012-01-30 03:03:45 CST
Btw, the corruption was coming from an usage of a corner case in OpenGL specification (which had disagreements at Khronos); I would urge the gnome developer to be more sensitive; a very small change before release would have avoided that issue. 
it is not really productive to only develop/test on one platform and then bash third party companies. When you develop code, you will automatically workarounds bugs on that platform...
Comment 180 Stefan Sauer 2012-01-30 03:10:08 CST
(In reply to comment #179)
> Btw, the corruption was coming from an usage of a corner case in OpenGL
> specification (which had disagreements at Khronos); I would urge the gnome
> developer to be more sensitive; a very small change before release would have
> avoided that issue. 
> it is not really productive to only develop/test on one platform and then bash
> third party companies. When you develop code, you will automatically
> workarounds bugs on that platform...

Pierre, please tell that (with details about the API in question) to the gnoem-shell developers e.g. at https://bugzilla.gnome.org/show_bug.cgi?id=663155 (Gnome 3.2.x - FGLRX - gnome-shell : unusable Desktop) - I don't think the shell-developers are subscribed to this report. Looks like mostly angry users here (sorry). Alternatively could you show up on the gnome mailing list or even IRC and discuss with the developers how to collaborate better (this is not the best place for discussions)?
Comment 181 pierre.boudier@amd.com 2012-01-30 03:55:44 CST
One mechanism which seems to work is to use the beta mailing list for catalyst, which goes straight to few Linux devs at amd. if you could ask them to subscribe, this is preferable. 

Thanks.
Comment 182 Alex 2012-01-30 05:00:45 CST
> Alex, please don't do that. One bug at at time (=ticket, not release :)). Thats
> the only way forward.
> 
> ATI, just confirming that with the upgrade the corruptions are gone. Thanks!

http://ati.cchtml.com/show_bug.cgi?id=414

(In reply to comment #178)

> I have 3 different ATi gpu models where I test on. One APU HD4xxx series. One
> pci express 2.0 x16 6970 series and another pci express 2.0 x16 4890 series
> cards. They are all fixed with 12.1 drivers concerning: Desktop corruption in
> Gnome3 shell.
> 
> Continuation of this topic is not spam. The messages you ouput to this thread
> is spam. So I would recommend you post to a correct bug topic with some debug
> input from your specific issue. 
> 
> you still have a corrupted desktop with AMD 12.1 drivers? Post some useful
> information. Logs, debug messages, straces, and or Screenshots.

Yes, http://ati.cchtml.com/show_bug.cgi?id=414
Comment 183 Stefan Sauer 2012-02-02 03:40:44 CST
(In reply to comment #181)
> One mechanism which seems to work is to use the beta mailing list for catalyst,
> which goes straight to few Linux devs at amd. if you could ask them to
> subscribe, this is preferable. 
> 
> Thanks.

Would you have a link? I could not find it.
Comment 184 Sabbath 2012-02-03 22:25:28 CST
Mejorar rendimiento: abran gedit, o nano y dentro copien esto:

export CLUTTER_VBLANK=none

Y despues guardar el archivo en su carpeta personal "home" con el nombre .profile

Reinicien su pc, y ahora deberia funcionar fluidamente
Comment 185 Donagh 2012-03-07 06:30:23 CST
(In reply to comment #184)
> Mejorar rendimiento: abran gedit, o nano y dentro copien esto:
> 
> export CLUTTER_VBLANK=none
> 
> Y despues guardar el archivo en su carpeta personal "home" con el nombre
> .profile
> 
> Reinicien su pc, y ahora deberia funcionar fluidamente

Hi,

I was experiencing the graphical corruption problem with Gnome shell on two of my PCs (ATI HD 3450 and ATI HD 6400), but the new drivers seem to have fixed that.

However, Gnome shell still crashes occasionally, on both PCs, usually when I hit the Activities button, though not every time. Can someone tell me if this the right thread for this bug, or are the shell crashes unrelated?

I tried the "export CLUTTER_VBLANK=none" solution too. Not sure what it's supposed to do, but it seems to be crashing less than usual now. Could be a placebo effect though...

Thanks.
Donagh
Comment 186 Crypto_Ahash 2012-03-07 07:23:35 CST
(In reply to comment #185)
> (In reply to comment #184)
> > Mejorar rendimiento: abran gedit, o nano y dentro copien esto:
> > 
> > export CLUTTER_VBLANK=none
> > 
> > Y despues guardar el archivo en su carpeta personal "home" con el nombre
> > .profile
> > 
> > Reinicien su pc, y ahora deberia funcionar fluidamente
> 
> Hi,
> 
> I was experiencing the graphical corruption problem with Gnome shell on two of
> my PCs (ATI HD 3450 and ATI HD 6400), but the new drivers seem to have fixed
> that.
>
> However, Gnome shell still crashes occasionally, on both PCs, usually when I
> hit the Activities button, though not every time. Can someone tell me if this
> the right thread for this bug, or are the shell crashes unrelated?

That bug you are having is a segfault. I have added another bug report for that case of yours.

> I tried the "export CLUTTER_VBLANK=none" solution too. Not sure what it's
> supposed to do, but it seems to be crashing less than usual now. Could be a
> placebo effect though...

The export CLUTTER_VBLANK=none fixes the slowish/laggy window movements. It will not fix the segfaults. Sorry to say its placebo effect :)
Comment 187 Donagh 2012-03-07 08:06:50 CST
(In reply to comment #186)
> (In reply to comment #185)
> > (In reply to comment #184)
> > > Mejorar rendimiento: abran gedit, o nano y dentro copien esto:
> > > 
> > > export CLUTTER_VBLANK=none
> > > 
> > > Y despues guardar el archivo en su carpeta personal "home" con el nombre
> > > .profile
> > > 
> > > Reinicien su pc, y ahora deberia funcionar fluidamente
> > 
> > Hi,
> > 
> > I was experiencing the graphical corruption problem with Gnome shell on two of
> > my PCs (ATI HD 3450 and ATI HD 6400), but the new drivers seem to have fixed
> > that.
> >
> > However, Gnome shell still crashes occasionally, on both PCs, usually when I
> > hit the Activities button, though not every time. Can someone tell me if this
> > the right thread for this bug, or are the shell crashes unrelated?
> 
> That bug you are having is a segfault. I have added another bug report for that
> case of yours.
> 
> > I tried the "export CLUTTER_VBLANK=none" solution too. Not sure what it's
> > supposed to do, but it seems to be crashing less than usual now. Could be a
> > placebo effect though...
> 
> The export CLUTTER_VBLANK=none fixes the slowish/laggy window movements. It
> will not fix the segfaults. Sorry to say its placebo effect :)

Great, thanks for clearing that up for me. I'll subscribe to the other bug report so.
Comment 188 szebenyib 2012-03-07 08:39:05 CST
> That bug you are having is a segfault. I have added another bug report for that
> case of yours.

Can you please give me a link, I just want to track that, because it happens to me too. Really annoying, so I'm definitely interested. Thanks.
Comment 189 Donagh 2012-03-07 09:39:26 CST
(In reply to comment #188)
> > That bug you are having is a segfault. I have added another bug report for that
> > case of yours.
> 
> Can you please give me a link, I just want to track that, because it happens to
> me too. Really annoying, so I'm definitely interested. Thanks.

You can find the segfault bug report here:

http://ati.cchtml.com/show_bug.cgi?id=408
Comment 190 Sabbath 2012-03-13 16:38:54 CDT
Gnome, aun sigue crasheando con los drivers catalyst, aun en la version 12.2
Comment 191 Michael Cronenworth 2012-05-04 00:48:22 CDT
*** Bug 283 has been marked as a duplicate of this bug. ***
Comment 192 Nicolás Prieto 2012-06-24 12:07:59 CDT
Ya están los beta drivers 12.6 y aun sigue funcionando lento gnome3.
Apuren la wueá.
Comment 193 Michael Cronenworth 2012-08-03 23:07:00 CDT
This message is a reminder that your bug is marked as Catalyst 11.11.

The current Catalyst version is 12.6.

Approximately 7 days from now the Bugzilla administrator will be removing the
11.11 version. At that time your bug will be CLOSED as WONTFIX.

Bug Reporter: Thank you for reporting this issue. However, the Bugzilla
administrator provides this as a unofficial, free service to AMD customers, and
I like to keep my systems neat and tidy. If you would like to keep your bug
from being closed, please try a new Catalyst version and update the 'version'
field if the issue still occurs.

If you are unable to update the version, please make a comment and someone will
change it for you.
Comment 194 Michael Cronenworth 2012-08-16 08:09:22 CDT
This bug is being closed due to the 'version' being 11.11 after 13 days of the
previous closure notice.

Thank you for your bug report.